I use a more eye-candy solution (the thumb will have a GIMP logo suprposed), i.e. having thumbnails like this:
You need to install gnome-xcf-thumbnailer as mentioned above, then you put the following script in /usr/bin with name xcf-thumb, executable by all (chmod a+rx /us/bin/xcf-thumb):
Code:
#!/bin/bash
tmpfile1=$(tempfile --prefix xcft --suffix .png)
# remove file if something strange happens
trap 'rm -rf $tmpfile1' INT EXIT TERM
die() {
echo >&2 "$@"
rm -rf $tmpfile1
exit 1
}
# The script will be called with parameters : -s %s %u %o
# -s %s: vertical size, %u: input url, %o: output file
if [ $1 = "-s" ]; then
size=$2
uin=$3
fout=$4
else
size=32 #default size
uin=$1
fout=$2
fi
# uin es una url, eliminar "file://"
fin=${uin#file://*}
gnome-xcf-thumbnailer -s $size $fin $tmpfile1 || die "gnome-xcf-thumbnailer failed"
composite -gravity southeast \
\( -resize $((size/2))x$((size/2)) /usr/share/gimp/2.0/images/wilber.png \) \
\( -resize $sizex$size $tmpfile1 \) $fout || die "convert failed"
rm -rf $tmpfile1
exit 0
and putting im /usr/share/thumbnailers/ this other file:
Code:
[Thumbnailer Entry]
Exec=/usr/bin/xcf-thumb -s %s %i %o
MimeType=image/x-xcf;image/x-compressed-xcf;
you will have nicer thumbnails that stands out from the other image formats...